FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora SELinux Support

 
 
LinkBack Thread Tools
 
Old 01-27-2012, 04:00 PM
Daniel J Walsh
 
Default SLIDE for RHEL6 and Derivatives

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 01/27/2012 11:24 AM, David Quigley wrote:
> On 01/27/2012 11:19, Daniel J Walsh wrote: On 01/27/2012 11:06 AM,
> David Quigley wrote:
>>>> On 01/27/2012 11:03, David Quigley wrote:
>>>>> On 01/27/2012 09:56, Daniel J Walsh wrote:
>>>> On 01/27/2012 02:36 AM, Dave Quigley wrote:
>>>>>>>> <resent as I sent it from the wrong mailing address>
>>>>>>>>
>>>>>>>> I am preparing resources for a talk and I'm trying to
>>>>>>>> build a CentOS 6.2 VM with all the SELinux tools
>>>>>>>> installed on it. Most of them are easy as they are in
>>>>>>>> the yum repo but I can't seem to find any RPMs for
>>>>>>>> SLIDE. The tresys yum repo relies on things that
>>>>>>>> aren't in RHEL6 or EPEL6 and only seem to be for RHEL
>>>>>>>> 5 at the moment. Has anyone gotten SLIDE installed on
>>>>>>>> RHEL6? Is Tresys working on releasing RHEL 6 rpms for
>>>>>>>> SLIDE?
>>>>>>>>
>>>>>>>> Dave
>>>>>>>>
>>>>>>>> -- This message was distributed to subscribers of
>>>>>>>> the selinux mailing list. If you no longer wish to
>>>>>>>> subscribe, send mail to majordomo@tycho.nsa.gov with
>>>>>>>> the words "unsubscribe selinux" without quotes as the
>>>>>>>> message.
>>>>>>>>
>>>>>>>>
>>>> yum install eclipse-slide
>>>>
>>>> I thought we shipped it with RHEL6.
>>>>>
>>>>> I tried that with Centos 6.2 and it didn't work. Doing a
>>>>> yum search for eclipse-slide doesn't yield any results. If
>>>>> RHEL 6 did ship it then Centos didn't repackage it for some
>>>>> odd reason. I can look for the srpms from Red Hat for RHEL
>>>>> 6 to see if there is a package in there for it.
>>>>>
>>>>> Dave -- selinux mailing list
>>>>> selinux@lists.fedoraproject.org
>>>>> https://admin.fedoraproject.org/mailman/listinfo/selinux
>>>>
>>>> I just checked the 6client and 6server source rpm directories
>>>> on redhat's site and there is no source rpm for eclipse-slide
>>>> in either directory. I think it wasn't packaged for RHEL 6.
>>>> -- selinux mailing list selinux@lists.fedoraproject.org
>>>> https://admin.fedoraproject.org/mailman/listinfo/selinux
>>>>
>>>>
>
> Yes you are right we don't package it for RHEL6.
>
> I know SLIDE isn't required to write policy but if we want to
> convince admins and developers that they should be working on
> SELinux policies for in-house applications it would be a good idea
> to give them an IDE to help them accomplish the task. I doubt we'd
> need to package the CDS framework but basic SLIDE would be a good
> addition. Do they add packages like that in minor versions of RHEL
> releases? -- selinux mailing list selinux@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/selinux

No, best option would be to package it up in EPEL.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8i2C4ACgkQrlYvE4MpobND4ACcDWQ/6nW++XRwyoTx9GVG6rky
EBYAnRtK0ytVrjDy1+QQS/qvx7XTVuRa
=ht7l
-----END PGP SIGNATURE-----
--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux
 
Old 01-28-2012, 06:00 AM
Tristan Santore
 
Default SLIDE for RHEL6 and Derivatives

On 27/01/12 17:00, Daniel J Walsh wrote:
> On 01/27/2012 11:24 AM, David Quigley wrote:
>> On 01/27/2012 11:19, Daniel J Walsh wrote: On 01/27/2012 11:06 AM,
>> David Quigley wrote:
>>>>> On 01/27/2012 11:03, David Quigley wrote:
>>>>>> On 01/27/2012 09:56, Daniel J Walsh wrote:
>>>>> On 01/27/2012 02:36 AM, Dave Quigley wrote:
>>>>>>>>> <resent as I sent it from the wrong mailing address>
>>>>>>>>>
>>>>>>>>> I am preparing resources for a talk and I'm trying to
>>>>>>>>> build a CentOS 6.2 VM with all the SELinux tools
>>>>>>>>> installed on it. Most of them are easy as they are in
>>>>>>>>> the yum repo but I can't seem to find any RPMs for
>>>>>>>>> SLIDE. The tresys yum repo relies on things that
>>>>>>>>> aren't in RHEL6 or EPEL6 and only seem to be for RHEL
>>>>>>>>> 5 at the moment. Has anyone gotten SLIDE installed on
>>>>>>>>> RHEL6? Is Tresys working on releasing RHEL 6 rpms for
>>>>>>>>> SLIDE?
>>>>>>>>>
>>>>>>>>> Dave
>>>>>>>>>
>>>>>>>>> -- This message was distributed to subscribers of
>>>>>>>>> the selinux mailing list. If you no longer wish to
>>>>>>>>> subscribe, send mail to majordomo@tycho.nsa.gov with
>>>>>>>>> the words "unsubscribe selinux" without quotes as the
>>>>>>>>> message.
>>>>>>>>>
>>>>>>>>>
>>>>> yum install eclipse-slide
>>>>>
>>>>> I thought we shipped it with RHEL6.
>>>>>>
>>>>>> I tried that with Centos 6.2 and it didn't work. Doing a
>>>>>> yum search for eclipse-slide doesn't yield any results. If
>>>>>> RHEL 6 did ship it then Centos didn't repackage it for some
>>>>>> odd reason. I can look for the srpms from Red Hat for RHEL
>>>>>> 6 to see if there is a package in there for it.
>>>>>>
>>>>>> Dave -- selinux mailing list
>>>>>> selinux@lists.fedoraproject.org
>>>>>> https://admin.fedoraproject.org/mailman/listinfo/selinux
>>>>>
>>>>> I just checked the 6client and 6server source rpm directories
>>>>> on redhat's site and there is no source rpm for eclipse-slide
>>>>> in either directory. I think it wasn't packaged for RHEL 6.
>>>>> -- selinux mailing list selinux@lists.fedoraproject.org
>>>>> https://admin.fedoraproject.org/mailman/listinfo/selinux
>>>>>
>>>>>
>
>> Yes you are right we don't package it for RHEL6.
>
>> I know SLIDE isn't required to write policy but if we want to
>> convince admins and developers that they should be working on
>> SELinux policies for in-house applications it would be a good idea
>> to give them an IDE to help them accomplish the task. I doubt we'd
>> need to package the CDS framework but basic SLIDE would be a good
>> addition. Do they add packages like that in minor versions of RHEL
>> releases? -- selinux mailing list selinux@lists.fedoraproject.org
>> https://admin.fedoraproject.org/mailman/listinfo/selinux
>
> No, best option would be to package it up in EPEL.
+1, then it can track Fedora for the most part. Although, even in EPEL
there usually is some sort of "version stability".

Regards,

Tristan

--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux

--
Tristan Santore BSc MBCS
TS4523-RIPE
Network and Infrastructure Operations
InterNexusConnect
Mobile +44-78-55069812
Tristan.Santore@internexusconnect.net

Former Thawte Notary
(Please note: Thawte has closed its WoT programme down,
and I am therefore no longer able to accredit trust)

For Fedora related issues, please email me at:
TSantore@fedoraproject.org
--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux
 
Old 01-31-2012, 02:48 AM
Dave Quigley
 
Default SLIDE for RHEL6 and Derivatives

On 1/28/2012 2:00 AM, Tristan Santore wrote:

On 27/01/12 17:00, Daniel J Walsh wrote:

On 01/27/2012 11:24 AM, David Quigley wrote:

On 01/27/2012 11:19, Daniel J Walsh wrote: On 01/27/2012 11:06 AM,
David Quigley wrote:

On 01/27/2012 11:03, David Quigley wrote:

On 01/27/2012 09:56, Daniel J Walsh wrote:

On 01/27/2012 02:36 AM, Dave Quigley wrote:

<resent as I sent it from the wrong mailing address>

I am preparing resources for a talk and I'm trying to
build a CentOS 6.2 VM with all the SELinux tools
installed on it. Most of them are easy as they are in
the yum repo but I can't seem to find any RPMs for
SLIDE. The tresys yum repo relies on things that
aren't in RHEL6 or EPEL6 and only seem to be for RHEL
5 at the moment. Has anyone gotten SLIDE installed on
RHEL6? Is Tresys working on releasing RHEL 6 rpms for
SLIDE?

Dave

-- This message was distributed to subscribers of
the selinux mailing list. If you no longer wish to
subscribe, send mail to majordomo@tycho.nsa.gov with
the words "unsubscribe selinux" without quotes as the
message.



yum install eclipse-slide

I thought we shipped it with RHEL6.


I tried that with Centos 6.2 and it didn't work. Doing a
yum search for eclipse-slide doesn't yield any results. If
RHEL 6 did ship it then Centos didn't repackage it for some
odd reason. I can look for the srpms from Red Hat for RHEL
6 to see if there is a package in there for it.

Dave -- selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux


I just checked the 6client and 6server source rpm directories
on redhat's site and there is no source rpm for eclipse-slide
in either directory. I think it wasn't packaged for RHEL 6.
-- selinux mailing list selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux





Yes you are right we don't package it for RHEL6.



I know SLIDE isn't required to write policy but if we want to
convince admins and developers that they should be working on
SELinux policies for in-house applications it would be a good idea
to give them an IDE to help them accomplish the task. I doubt we'd
need to package the CDS framework but basic SLIDE would be a good
addition. Do they add packages like that in minor versions of RHEL
releases? -- selinux mailing list selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux


No, best option would be to package it up in EPEL.

+1, then it can track Fedora for the most part. Although, even in EPEL
there usually is some sort of "version stability".

Regards,

Tristan

--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux



So I just built the f15 packages on CentOS6.2 and tried to install them
and use them in eclipse and it seems that the plugin is not loading. I'm
not sure where I go to find out what plugins eclipse is seeing and why
it choses to not load one. Any help on that front? Is there something
inherently wrong with using the F15 rpms which are packaged in F16 over
the F13 rpms which are packaged in Fedora 14?



Dave

--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux
 
Old 01-31-2012, 02:52 AM
Dave Quigley
 
Default SLIDE for RHEL6 and Derivatives

Ignore my last email. For some odd reason I loaded eclipse it didn't
load a whole bunch of plugins. Opening it again had all of them loaded
including slide. How do I go about packaging this for EPEL? It wasn't
too hard. I just needed 3 source rpms and to install the dependencies.


Dave
--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux
 
Old 01-31-2012, 12:37 PM
Daniel J Walsh
 
Default SLIDE for RHEL6 and Derivatives

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 01/30/2012 10:52 PM, Dave Quigley wrote:
> Ignore my last email. For some odd reason I loaded eclipse it
> didn't load a whole bunch of plugins. Opening it again had all of
> them loaded including slide. How do I go about packaging this for
> EPEL? It wasn't too hard. I just needed 3 source rpms and to
> install the dependencies.
>
> Dave -- selinux mailing list selinux@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/selinux
Google says.

http://fedoraproject.org/wiki/EPEL:Packaging
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8n7o0ACgkQrlYvE4MpobNg6gCeIt6wtDmAQo YHLddKOSSuxiuS
U0QAn08x0dSIdXzIRp7kavMdx3cj3CSi
=mhj6
-----END PGP SIGNATURE-----
--
selinux mailing list
selinux@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/selinux
 

Thread Tools




All times are GMT. The time now is 12:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org